.tea-button {
    background-color: #126b56;
    color: #fff;
    border-radius: 25px;
    cursor: pointer;
    transition: 200ms opacity ease;
    position: fixed;
    right: 24px;
    bottom: 24px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #ccc; /* Optional: Adds a border */
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); /* Optional: Adds a shadow */
    animation: button-fade-in 200ms ease 0s;
    padding: 10px;
}

.tea-bubble {
    height: 40px;
    width: 40px;
    display: inline;
    vertical-align: middle;
}

.tea-close {
    height: 20px;
    width: 20px;
    display: none;
}

/* Style for the iframe */
.tea-iframe {
    position: fixed; /* Fixes the iframe to the viewport */
    bottom: 80px; /* Distance from the bottom */
    right: 20px; /* Distance from the right */
    width: 450px;
    max-width: min(450px, calc(100vw - 40px));
    height: 600px;
    max-height: min(600px, calc(100vh - 160px));
    border: 2px solid #ccc; /* Optional: Adds a border */
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); /* Optional: Adds a shadow */
    border-radius: 8px; /* Optional: Rounds the corners */
    z-index: 1000;
}